﻿//
// FormHistory.cs	METC Monitor 履歴一覧表示フォーム
//				Copyright(C)2012 Kashi Electronics Designs
//				kashima@kaele.com (Hitoshi Kashima)
using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.IO;

namespace METCMonitor
{
	public partial class FormHistory : Form
	{
		public FormHistory()
		{
			InitializeComponent();
		}

		/// <summary>
		/// 履歴情報行の追加
		/// </summary>
		/// <param name="date">日付</param>
		/// <param name="eGate">入口名</param>
		/// <param name="oGate">出口名</param>
		/// <param name="kind">車種</param>
		/// <param name="price">料金</param>
		public void AddHistory(DateTime date, string eGate, string oGate, string kind, int price)
		{
			dgv_History.Rows.Add();
			int i = dgv_History.Rows.Count - 1;
			dgv_History["colDate", i].Value = date;
			dgv_History["colEnter", i].Value = eGate;
			dgv_History["colOut", i].Value = oGate;
			dgv_History["colKind", i].Value = kind;
			dgv_History["colCost", i].Value = price;
		}

		// リサイズ処理
		private void FormHistory_Resize(object sender, EventArgs e)
		{
			dgv_History.Width = this.Width - (800-756);		// DataGridViewの大きさをウィンドウサイズに合わせて変更
			dgv_History.Height = this.Height - (400-312);
		}

		// エクスポートメニュー処理
		private void eエクスポートToolStripMenuItem_Click(object sender, EventArgs e)
		{
			if (saveFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)	// ファイル保存ダイアログを表示
			{
				// CSVファイルオープン
				StreamWriter sw =
					new StreamWriter( saveFileDialog1.FileName, false,
					System.Text.Encoding.GetEncoding("SHIFT-JIS"));

				for (int c = 0; c <= this.dgv_History.Columns.Count - 1; c++){
					String dt = "";
					if (this.dgv_History.Columns[c].HeaderText != null)
					{
						dt = this.dgv_History.Columns[c].HeaderText.
							ToString();
					}
					if (c < this.dgv_History.Columns.Count - 1)
					{
						dt = dt + ",";
					}
					// CSVファイル書込
					sw.Write(dt);
				}
				sw.Write("\r\n");

				for (int r = 0; r <= this.dgv_History.Rows.Count - 1; r++)
				{
					for (int c = 0; c <= this.dgv_History.Columns.Count - 1; c++)
					{
						// DataGridViewのセルのデータ取得
						String dt = "";
						if (this.dgv_History.Rows[r].Cells[c].Value != null)
						{
							dt = this.dgv_History.Rows[r].Cells[c].Value.
								ToString();
						}
						if (c < this.dgv_History.Columns.Count - 1)
						{
							dt = dt + ",";
						}
						// CSVファイル書込
						sw.Write(dt);
					}
					sw.Write("\r\n");
				}
				// CSVファイルクローズ
				sw.Close();
			}
		}
	}
}
